[build-system]
requires = ["setuptools", "setuptools-scm"]
build-backend = "setuptools.build_meta"

[tool.setuptools_scm]
git_describe_command= ["git", "describe", "--tags", "--abbrev=0", "--dirty", "--match", "v*"]
tag_regex = "v(?P<version>.*)$"
fallback_version = "0.0.0"
version_file = "comfy_server/_comfy_server_version.py"

[project]
name = "fal-comfyui-admin"
dynamic = ["version"]
description = "A general-purpose Serverless-Comfy API built with Fal Serverless"
readme = "README.md"
dependencies = [
    "fal==1.9.3",
    "pydantic==2.7.4",
    "sse-starlette==2.1.2",
    "fastapi<0.111",
    "uvicorn==0.30.3",
    "starlette_exporter==0.23.0",
    "fal-client==0.5.9",
]

[project.optional-dependencies]
test = [
    "pytest<8",
    "pytest-xdist",
]
dev = [
    "pytest<8",
    "pytest-xdist",
    "pre-commit",
    "httpx",
]

[tool.setuptools.packages.find]
include = ["comfy_server*"]
exclude = ["wheel*", "docs*", "tests*"]

[tool.ruff]
target-version = "py311"

[tool.ruff.lint]
select = ["E", "F", "W", "PLC", "PLE", "PLW", "I", "UP"]

[tool.ruff.lint.pyupgrade]
keep-runtime-typing = true
